Loading...
Searching...
No Matches
classTest.h File Reference
`#include <BALL/CONCEPT/autoDeletable.h>`
`#include <BALL/SYSTEM/file.h>`
`#include <BALL/DATATYPE/regularExpression.h>`
`#include <chrono>`
`#include <cmath>`
`#include <list>`
`#include <string>`
`#include <thread>`

Go to the source code of this file.

## Namespaces

namespace | TEST

## Macros

#define | PRECISION(a)
#define | START_TEST(class_name)
#define | END_TEST
#define | CHECK(test_name)
#define | STATUS(message)
#define | RESULT
#define | SLEEP_FOR_MSECS(ms)
#define | NEW_TMP_FILE(filename)
#define | NEW_TMP_FILE_WITH_SUFFIX(filename, suffix)
#define | TEST_REAL_EQUAL(a, b)
#define | TEST_EQUAL(a, b)
#define | TEST_NOT_EQUAL(a, b)
#define | TEST_EXCEPTION(exception_type, command)
#define | TEST_PRECONDITION_EXCEPTION(command)
#define | ABORT_IF(condition)
#define | TEST_FILE(filename, templatename)
#define | TEST_FILE_REGEXP(filename, templatename)
#define | CAPTURE_OUTPUT_LEVEL(level)
#define | CAPTURE_OUTPUT_LEVEL_RANGE(minlevel, maxlevel)
#define | COMPARE_OUTPUT(text)

## Functions

template<class T>
void | TEST::printErrorMessage (T &, bool subtest)
template<>
void | TEST::printErrorMessage (std::exception &e, bool subtest)
template<>
void | TEST::printErrorMessage (BALL::Exception::GeneralException &e, bool subtest)
template<>
void | TEST::printErrorMessage (BALL::Exception::FileNotFound &e, bool subtest)
template<class T>
void | TEST::printException (T e, bool subtest)

## Variables

int | TEST::verbose = 0
bool | TEST::all_tests = true
bool | TEST::test = true
bool | TEST::this_test
int | TEST::exception = 0
string | TEST::exception_name = ""
const char * | TEST::version_string = BALL_RELEASE_STRING
bool | TEST::newline = false
list< string > | TEST::tmp_file_list
std::ifstream | TEST::infile
std::ifstream | TEST::templatefile
bool | TEST::equal_files
double | TEST::precision = 1e-6

## Macro Definition Documentation

## TEST_FILE_REGEXP

#define TEST_FILE_REGEXP | ( |  | filename,
|  |  | templatename )

## TEST_PRECONDITION_EXCEPTION

#define TEST_PRECONDITION_EXCEPTION | ( |  | command | ) |

Value:
if (TEST::verbose > 1)\
{\
std::cout << " TEST_EXCEPTION_PRECONDITION(" #command ") : (DEBUG mode disabled!)" << std::endl;\
}\
TEST::verbose
int verbose
Definition classTest.h:18

Definition at line 494 of file classTest.h.